%define		ver	0.11.0
%define		rel	5
%define		svnrev	28

Name:		mozc
Summary:	Japanese Input Method Editor designed for multi-platform
Summary(ja):	マルチプラットホームで動くように設計された日本語インプットメソッドエディタ
Version:	0.11.0
Release:	%{rel}.svn%{svnrev}%{?_dist_release}
Group:		System Environment/Libraries
License:	BSD-like
URL:		http://code.google.com/p/mozc/

# Source tar ball is not released yet.
# See http://code.google.com/p/mozc/wiki/LinuxBuildInstructions
Source0:	%{name}-r%{svnrev}.tar.bz2

# Additional dictionaries by UTUMI Hirosi
Source1:	mozc-jinmei-20100513.7z
Source2:	mozc-zipcode-20100513.7z
# http://twitpic.com/1ouyrr by AWASHIRO Ikuya
Source3:	ibus-mozc.png

#Patch0:		ibus-mozc-fix-for-x86_64.diff
Patch1:		ibus-mozc-0.11.0-fix-compile-w-i386.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	python, ibus-devel, dbus-devel
BuildRequires:	openssl-devel, zlib-devel, subversion
BuildRequires:	curl-devel, p7zip
BuildRequires:	protobuf-devel, gtest-devel

Requires:	mozc-server = %{version}-%{release}
Requires:	mozc-utils-gui = %{version}-%{release}
Requires:	ibus-mozc = %{version}-%{release}

Packager:	kazutaka

%description
Mozc is a Japanese Input Method Editor (IME) designed for
multi-platform such as Chromium OS, Windows, Mac and Linux.
This open-source project originates from Google Japanese Input.

%description -l ja
Mozc は日本語入力用の IME (Imput Method Editor)です。
Chromium OS や Windows、Mac、Linux といったマルチプラット
フォームで利用できるようにデザインされており、「Google日本語
入力」のオープンソース版です。

%package server
Summary:	Server part of the Mozc input method
Summary(ja):	Mozc インプットメソッドのサーバ部分
Group: 		Applications/System

%description server
Server part of the Mozc input method, used by Mozc clients such as 
ibus-mozc.

%description server -l ja
Mozc インプットメソッドのサーバ部分。ibus-mozcなどのMozcクライアントから
使うことができます。

%package -n ibus-mozc
Summary:	iBus engine module for Mozc
Summary(ja):	Mozc 用 iBus エンジンモジュール
Group:		System Environment/Libraries 
Requires:	mozc-server = %{version}-%{release}

%description -n ibus-mozc
iBus engine module for Mozc.

%description -n ibus-mozc -l ja
Mozc 用 iBus エンジンモジュール。

%package utils-gui
Summary:	Mozc GUI utilities
Summary(ja):	Mozc GUI ユーティリティー
Group:		Applications/System
Requires:	qt4
Requires:	mozc-server = %{version}-%{release}

%description utils-gui
Mozc GUI uitilities, such as the configuration dialog, user dictionary 
tool and about dialog.

%description utils-gui -l ja
Mozc GUI ユーティリティー。設定ツールやユーザ辞書ツールなどが含まれます。

%prep
%setup -q -n src
#%patch0 -p0 -b .fix-x86_64
%patch1 -p1 -b .fix-i386

# Add some dictionaries
%{__cp} %SOURCE1 data/dictionary/
%{__cp} %SOURCE2 data/dictionary/
pushd data/dictionary/
7za x mozc-jinmei-*.7z
7za x mozc-zipcode-*.7z
%{__cat} dictionary1.txt mozc-jinmei-*.txt mozc-zipcode-*.txt > dictionary1.txt.new
%{__mv} dictionary1.txt.new dictionary1.txt
popd

%build
%{__python} build_mozc.py gyp
%{__python} build_mozc.py build_tools -c Release
%{__python} build_mozc.py build -c Release unix/ibus/ibus.gyp:ibus_mozc server/server.gyp:mozc_server gui/gui.gyp:mozc_tool


%install
%{__rm} -rf %buildroot
%{__mkdir_p} %buildroot/%{_libdir}
%{__cp} -p out/Release/ibus_mozc %buildroot/%{_libdir}/ibus-engine-mozc
%{__mkdir_p} %buildroot/%{_datadir}/ibus/component/
%{__sed} 's|/usr/libexec|%{_libdir}|' < unix/ibus/mozc.xml > %buildroot/%{_datadir}/ibus/component/mozc.xml

# mozc-server
%{__mkdir_p} %buildroot/%{_libdir}/mozc
%{__cp} -p out/Release/mozc_server %buildroot/%{_libdir}/mozc

# mozc_tool
%{__cp} -p out/Release/mozc_tool %buildroot/%{_libdir}/mozc

# install icon (temporary)
%{__mkdir_p} %buildroot/%{_datadir}/ibus-mozc
%{__cp} -p %{SOURCE3} %buildroot/%{_datadir}/ibus-mozc/product_icon.png

# install document
%{__chmod} 644 debian/*
%{__cp} debian/copyright COPYING


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING

%files server
%defattr(-,root,root)
%doc COPYING
%dir %{_libdir}/mozc
%{_libdir}/mozc/mozc_server

%files utils-gui
%defattr(-,root,root)
%doc COPYING
%dir %{_libdir}/mozc
%{_libdir}/mozc/mozc_tool

%files -n ibus-mozc
%defattr(-,root,root)
%doc COPYING
%{_libdir}/ibus-engine-mozc
%{_datadir}/ibus/component/mozc.xml
%dir %{_datadir}/ibus-mozc
%{_datadir}/ibus-mozc/product_icon.png

%changelog
* Tue Jun  1 2010 IWAI, Masaharu <iwai@alib.jp> 0.11.0-5.svn28
- rename base name: mozc
- add new sub packages:
   - mozc-server
   - mozc-utils-gui
- update source to revision 28
- replace icon (Source3)
- drop mozc-config: upstream implement same tool

* Sun May 23 2010 Kazutaka HARADA <kazutaka@vinelinux.org> 0.11.0-4
- update source to revision 23
- add BuildRequires protobuf-devel, gtest-devel
- drop Patch0 (ibus-mozc-fix-for-x86_64.diff)
- add mozc-config as Source10 and desktop entry as Source11

* Sat May 15 2010 IWAI, Masaharu <iwai@alib.jp> 0.11.0-3
- rebuild with ibus-1.3.3

* Fri May 14 2010 Kazutaka HARADA <kazutaka@vinelinux.org> 0.11.0-2
- add Patch1 to fix compile error on i386 (workaround patch)

* Thu May 13 2010 Kazutaka HARADA <kazutaka@vinelinux.org> 0.11.0-1
- initial build for Vine Liux based on custom mandriva package made by UTUMI-san

* Thu May 13 2010 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.11.0-2.20110511.1mdv2010.1
- add some dictionaries

* Wed May 12 2010 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.11.0-1.20110511.1mdv2010.1
- first release

